#include "HTParse.h"

#include <stdio.h>

main() {
     char str1[1024];
     char str2[1024];

     printf("Base URL:");
     scanf("%s", str1);

     while(!feof(stdin)) {
	  printf("URL:");
	  scanf("%s", str2);
	  printf("Base URL: %s\n", str1);
	  printf("PARSE_ANCHOR: %s\n", HTParse(str2, str1, PARSE_ANCHOR))
;
	  printf("PARSE_PATH: %s\n", HTParse(str2, str1, PARSE_PATH));
	  printf("PARSE_HOST: %s\n", HTParse(str2, str1, PARSE_HOST));
	  printf("PARSE_ACCESS: %s\n", HTParse(str2, str1, PARSE_ACCESS));
	  printf("PARSE_PUNCTUATION: %s\n", HTParse(str2, str1, PARSE_PUNCTUATION));
     }
}
